import { Routes } from '@angular/router';
import { TabsPage } from './tabs.page';

export const routes: Routes = [
  {
    path: 'tabs',
    component: TabsPage,
    children: [
      {
        path: 'tab1',
        loadComponent: () =>
          import('../tab1/tab1.page').then((m) => m.Tab1Page),
      },
      {
        path: 'tab2',
        loadComponent: () =>
          import('../tab2/tab2.page').then((m) => m.Tab2Page),
      },
      {
        path: 'tab3',
        loadComponent: () =>
          import('../tab3/tab3.page').then((m) => m.Tab3Page),
      },
      {
        path: 'tab4',
        loadComponent: () =>
          import('../tab4/tab4.page').then((m) => m.Tab4Page),
      },
      {
        path: 'Container',
        loadComponent: () =>
          import('../explore-container/explore-container.component').then(
            (m) => m.ExploreContainerComponent
          ),
      },
      {
        path: 'Feedback',
        loadComponent: () =>
          import('../feedback/feedback.component').then((m) => m.FeedbackComponent),
      },
      {
        path: 'recommend',
        loadComponent: () =>
          import('../page-recommend/page-recommend.component').then(
            (m) => m.PageRecommendComponent
          ),
      },
      {
        path: 'login',
        loadComponent: () =>
          import('../login/login.component').then((m) => m.LoginComponent),
      },
      {
        path: '',
        redirectTo: '/tabs/tab1',
        pathMatch: 'full',
      },
    ],
  },
  {
    path: '',
    redirectTo: '/tabs/tab1',
    pathMatch: 'full',
  },
];
